//package server;
//
//import java.util.concurrent.ConcurrentHashMap;
//import java.util.concurrent.CopyOnWriteArrayList;
//
//import net.AppSocket;
//import net.ConnectionInfo;
//import net.TimeoutLimitException;
//
//public class CheckThread extends Thread {
//	private Server sv;
//	private AppSocket sock;
//	private boolean vive;
//
//	public CheckThread(Server sv, AppSocket sock) {
//		this.sv = sv;
//		this.sock = sock;
//		sock.start();
//		this.vive = true;
//	}
//
//	public void kill() {
//		vive = false;
//	}
//
//	public void run() {
//		while (vive) {
//			CopyOnWriteArrayList<ConnectionInfo> peers = sv.getPeers();
//			ConcurrentHashMap<ConnectionInfo, ServerThread> threads = sv
//					.getThreads();
//			for (ConnectionInfo pc : peers) {
//				try {
//					sock.sendProbe(pc);
//				} catch (TimeoutLimitException e) {
//					ServerThread st = threads.get(pc);
//					if (st != null) {
//						peers.remove(pc);
//						threads.remove(pc);
//
//						st.kill();
//						sv.getGuiListener().userDisconneected(
//								pc.getIp().getHostName());
//					}
//				}
//			}
//			try {
//				Thread.sleep(3000);
//			} catch (InterruptedException e) {
//				continue;
//			}
//		}
//	}
//
//}
